
/* -------------------------------------------------
* Copyright 2005 Machineworks Northwest - All Rights reserved
* Programmer(s):  Seth A. Robinson (seth@rtsoft.com): 
* Created 4/17/2005 9:07:46 AM
*/


#pragma once

#include "main.h"
#include "Entity.h"

class EntSwimmer: public Entity
{
    
public:
    EntSwimmer();
    virtual ~EntSwimmer();

    bool Init();
    
    virtual void  Render();
    virtual void  Update(float step);
    virtual void OnMessage(Message &msg);

private: 
  
    CL_Sprite *m_sprite; 
    unsigned int m_drownTimer;
    int m_voice;
    unsigned int m_changeSort;

};